Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.util
Class UnitTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--org.opencyc.util.UnitTest

All Implemented Interfaces:
  junit.framework.Test

public class UnitTest
extends junit.framework.TestCase

Provides a suite of JUnit test cases for the `org.opencyc.constraintsolver` package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Constructor Summary
`UnitTest(java.lang.String name)` Creates a `UnitTest` object with the given name.

Method Summary
`static void` | `main(java.lang.String[] args)` Main method in case tracing is prefered over running JUnit.
`static junit.framework.Test` | `suite()` Returns the test suite.
`void` | `testEscapeDoubleQuotes()` Tests the StringUtils.escapeDoubleQuotes method.
`void` | `testHasDuplicates()` Tests the OcCollectionUtils.hasDuplicates method.
`void` | `testHasIntersection()` Tests the OcCollectionUtils.hasIntersection method.
`void` | `testIsDelimitedString()` Tests the StringUtils.isDelimitedString method.
`void` | `testIsNumeric()` Tests the StringUtils.isNumeric method.
`void` | `testRemoveDelimiters()` Tests the StringUtils.removeDelimiters method.
`void` | `testWordsToString()` Tests the StringUtils.wordsToString method.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnitTest

    public UnitTest(java.lang.String name)

  Creates a `UnitTest` object with the given name.

Method Detail

### suite

    public static junit.framework.Test suite()

  Returns the test suite.
  Returns:
    the test suite

### main

    public static void main(java.lang.String[] args)

  Main method in case tracing is prefered over running JUnit.

### testHasDuplicates

    public void testHasDuplicates()

  Tests the OcCollectionUtils.hasDuplicates method.

### testHasIntersection

    public void testHasIntersection()

  Tests the OcCollectionUtils.hasIntersection method.

### testRemoveDelimiters

    public void testRemoveDelimiters()

  Tests the StringUtils.removeDelimiters method.

### testIsDelimitedString

    public void testIsDelimitedString()

  Tests the StringUtils.isDelimitedString method.

### testIsNumeric

    public void testIsNumeric()

  Tests the StringUtils.isNumeric method.

### testWordsToString

    public void testWordsToString()

  Tests the StringUtils.wordsToString method.

### testEscapeDoubleQuotes

    public void testEscapeDoubleQuotes()

  Tests the StringUtils.escapeDoubleQuotes method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD